package com.jeeplus.modules.sg.managementcenter.projectPlanArrage.entity;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.jeeplus.core.persistence.DataEntity;

import java.util.Date;

public class ProjectPlanArrage extends DataEntity<ProjectPlanArrage>{
    private String projectName; //项目名称
    private String projectNumber; //项目定义号
    private String projectLine; //线路
    private String projectPowerRange; //停电范围
    private String projectSwitch; //停电开关
    private Date projectMonthDate; //停电月份
    private Date projectDate; //停电日
    private String projectPowerOut; //是否停电
    private String status; //状态


    private String distributionNetwork;//配网项目经理
    private String constructionUnit;//施工单位项目经理
    private String operationUnit;//运行单位项目经理

    private String attributionYear;//归属年份


    private String arrageFlag;//未安排标识 0-未安排 1-已安排
    private String whetherStatus;//是否未父类 0-时子类 1-是父类

    private String htmlStatus;//验证开关字段 0-无提示 1-有提示

    private String backToStauts;//是否退回0-初始状态，1-退回，2-新增
    private String backToText;//退回备注
    private String operationStatus;//是否允许操作 0- 允许操作 1-不允许

    private String associatedBag;//关联包
    private String powerPackage;//停电包
    private Integer associatedSort;//关联包排序字段
    private Integer powerPackageSort;//停电包排序字段

    public String getAttributionYear() {
        return attributionYear;
    }

    public void setAttributionYear(String attributionYear) {
        this.attributionYear = attributionYear;
    }

    public Integer getAssociatedSort() {
        return associatedSort;
    }

    public void setAssociatedSort(Integer associatedSort) {
        this.associatedSort = associatedSort;
    }

    public Integer getPowerPackageSort() {
        return powerPackageSort;
    }

    public void setPowerPackageSort(Integer powerPackageSort) {
        this.powerPackageSort = powerPackageSort;
    }

    public String getAssociatedBag() {
        return associatedBag;
    }

    public void setAssociatedBag(String associatedBag) {
        this.associatedBag = associatedBag;
    }

    public String getPowerPackage() {
        return powerPackage;
    }

    public void setPowerPackage(String powerPackage) {
        this.powerPackage = powerPackage;
    }

    public String getOperationStatus() {
        return operationStatus;
    }

    public void setOperationStatus(String operationStatus) {
        this.operationStatus = operationStatus;
    }

    public String getBackToStauts() {
        return backToStauts;
    }

    public void setBackToStauts(String backToStauts) {
        this.backToStauts = backToStauts;
    }

    public String getBackToText() {
        return backToText;
    }

    public void setBackToText(String backToText) {
        this.backToText = backToText;
    }

    public String getHtmlStatus() {
        return htmlStatus;
    }

    public void setHtmlStatus(String htmlStatus) {
        this.htmlStatus = htmlStatus;
    }

    public String getDistributionNetwork() {
        return distributionNetwork;
    }

    public void setDistributionNetwork(String distributionNetwork) {
        this.distributionNetwork = distributionNetwork;
    }

    public String getConstructionUnit() {
        return constructionUnit;
    }

    public void setConstructionUnit(String constructionUnit) {
        this.constructionUnit = constructionUnit;
    }

    public String getOperationUnit() {
        return operationUnit;
    }

    public void setOperationUnit(String operationUnit) {
        this.operationUnit = operationUnit;
    }

    public String getArrageFlag() {
        return arrageFlag;
    }

    public void setArrageFlag(String arrageFlag) {
        this.arrageFlag = arrageFlag;
    }

    public String getWhetherStatus() {
        return whetherStatus;
    }

    public void setWhetherStatus(String whetherStatus) {
        this.whetherStatus = whetherStatus;
    }

    public String getProjectName() {
        return projectName;
    }

    public void setProjectName(String projectName) {
        this.projectName = projectName;
    }

    public String getProjectNumber() {
        return projectNumber;
    }

    public void setProjectNumber(String projectNumber) {
        this.projectNumber = projectNumber;
    }

    public String getProjectLine() {
        return projectLine;
    }

    public void setProjectLine(String projectLine) {
        this.projectLine = projectLine;
    }

    public String getProjectPowerRange() {
        return projectPowerRange;
    }

    public void setProjectPowerRange(String projectPowerRange) {
        this.projectPowerRange = projectPowerRange;
    }

    public String getProjectSwitch() {
        return projectSwitch;
    }

    public void setProjectSwitch(String projectSwitch) {
        this.projectSwitch = projectSwitch;
    }
    @JsonFormat(pattern = "YYYY-MM")
    public Date getProjectMonthDate() {
        return projectMonthDate;
    }

    public void setProjectMonthDate(Date projectMonthDate) {
        this.projectMonthDate = projectMonthDate;
    }

    @JsonFormat(pattern = "YYYY-MM-dd")
    public Date getProjectDate() {
        return projectDate;
    }

    public void setProjectDate(Date projectDate) {
        this.projectDate = projectDate;
    }

    public String getProjectPowerOut() {
        return projectPowerOut;
    }

    public void setProjectPowerOut(String projectPowerOut) {
        this.projectPowerOut = projectPowerOut;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }
}
